/**
 * Alarma
 */

public class Alarma
{

  private Sensor sensor;
  private Timbre timbre;
  private double umbral;

  /**
   * Constructor
   */

  public Alarma (Sensor sensor, Timbre timbre, double umbral)
  {
    this.sensor = sensor;
    this.timbre = timbre;
    this.umbral = umbral;
  }


  /**
   * Comprobar estado de la alarma
   */

  public final void comprobar ()
  {
    if (sensor.getValorActual()>umbral) {
       activar();
    } else {
       desactivar();
    }
  }


  public void activar ()
  {
    timbre.activar();
  }

  public void desactivar ()
  {
    timbre.desactivar();
  }


}
