/**
 * Alarma luminosa
 * Uso de redefinicin de mtodos y polimorfismo
 *
 * Versin 2: Redefinicin de los mtodos activar() & desactivar()
 */

public class AlarmaLuminosa extends Alarma
{
  private Bombilla bombilla;


  /**
   * Constructor
   */

  public AlarmaLuminosa (Sensor sensor, Timbre timbre, Bombilla bombilla, double umbral)
  {
    super(sensor,timbre,umbral);

    this.bombilla = bombilla;
  }

  /**
   * Redefinicin de los mtodos activar & desactivar
   *  - Hemos de acordarnos de llamar al mtodo correspondiente de la clase Alarma
   */

  public void activar ()
  {
    super.activar();
    bombilla.encender();
  }

  public void desactivar ()
  {
    super.desactivar();
    bombilla.apagar();
  }
}
