/**
 * Alarma
 */

public class Alarma
{

  protected Sensor sensor;
  protected Timbre timbre;
  protected double umbral;

  /**
   * Constructor
   */

  public Alarma (Sensor sensor, Timbre timbre, double umbral)
  {
    this.sensor = sensor;
    this.timbre = timbre;
    this.umbral = umbral;
  }


  /**
   * Comprobar estado de la alarma
   */

  public void comprobar ()
  {
    if (sensor.getValorActual()>umbral) {
       timbre.activar();
    } else {
       timbre.desactivar();
    }

  }


}
